2009
02.02

Da jeg fik sat flex op, havde jeg åbenbart ikke fået Adobe Air med. Det resulterede i en masse mærkelige fejl. Nogle af fejlene havde sågar et windows path i fejlmeddelelserne (E:\Dev\..) . Jeg var meget forundret og tog lige hele turen på google. Til sidst fandt jeg en god guide til at få det hele op. Guiden er lidt gammel – så istedet for den sdk den foreslår er det en god idé at bruge den nyeste (i skrivende stund 3.0.2 – 3.2)

http://blogs.adobe.com/ashutosh/2008/09/tutorial_air_beta_sdk_with_fle_1.html

Jeg startede med at lave en clean installation af Eclipse 3.4 ganymede – desværre viste det sig, at flexbuilder-plugin’et ikke virkede til 3.4 – så det var på med vanten og så tilbage til Eclipse 3.3. Derefter fulgte jeg guiden – og sørme om ikke både Flex og Air nu kunne kompileres i Linux. Én ting man skal være klar over er, at man i Linux’ flexbuilder ikke skal klikke på mxml-filen og sige kør som air-applikation – det skal man derimod på selve projekt-folderen.

En lille slutbemærkning er også at man med subclipse ikke skal tage alle svn-filerne ned i en folder – men derimod tjekke sin svn ud – og lave et nyt Air/Flex-projekt til det pågældende projekt.

Nu håber jeg bare at I får lige så meget brug for opdateringsguiden, som jeg havde det.

Happy Flex’ing

Støt

No Comment.

Add Your Comment
*